Package org.kapott.hbci.tools

## Class ConvertSIZRDHPassport

- java.lang.Object
- - org.kapott.hbci.tools.ConvertSIZRDHPassport

    public class ConvertSIZRDHPassport
    extends java.lang.Object

Tool zum Konvertieren von SIZ-RDH-Schlüsseldateien in RDHNew-Dateien. SIZ-RDH-Schlüsseldateien werden von HBCI-Software verwendet, die auf dem SIZ-HBCI-Kernel basiert (z.B. von StarMoney).

Die Konvertierung kann auch mit dem separat verfügbaren HBCI4Java Passport Editor durchgeführt werden.

Soll der HBCI-Zugang sowohl mit der ursprünglichen Software als auch parallel dazu mit HBCI4Java benutzt werden, so ist eine Konvertierung der Schlüsseldatei nicht zu empfehlen. Statt dessen sollte die Schlüsseldatei direkt benutzt werden. Dafür kann die Passport-Variante `HBCIPassportSIZRDHFile` benutzt werden.

Siehe dazu auch die Datei `README.SIZRDHFile`

Aufgerufen wird dieser Konverter mit

    java -cp ... org.kapott.hbci.tools.ConvertSIZRDHPassport

Es handelt sich um ein interaktives Programm. Nach dem Start wird nach dem Dateinamen einer existierenden SIZ-RDH-Schlüsseldatei sowie nach dem Usernamen und Passwort für deren Entschlüsselung gefragt. Anschließend wird nach einem neuen(!) Dateinamen für die zu erstellende RDHNew-Passport-Datei sowie nach einem Passwort für deren Verschlüsselung gefragt. Nach Beendigung des Programmes existiert die RDHNew-Passport-Datei, welche ab sofort benutzt werden kann.

### Constructor Summary

Constructors
`ConvertSIZRDHPassport()`

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `main​(java.lang.String[] args)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ConvertSIZRDHPassport

    public ConvertSIZRDHPassport()

### Method Detail

#### main

    public static void main​(java.lang.String[] args)
                     throws java.io.IOException

Throws:
  `java.io.IOException`